| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Example request
curl --location 'https://eu.api.capillarytech.com/v2/userGroup2' \
--header 'Content-Type: application/json' \
--header 'Accept: application/json' \
--header 'Authorization: Basic bWFkajU2YQ==' \
--data '{
"externalId": "uat_ug_12",
"groupName": "uatUserGroup11",
"maxGroupSize": 6
}'curl --location 'https://eu.api.capillarytech.com/v2/userGroup2' \
--header 'Content-Type: application/json' \
--header 'Accept: application/json' \
--header 'Authorization: Basic bWFkaH3MjU2YQ==' \
--data '{
"externalId": "uat_ug_13",
"groupName": "uatUserGroup11",
"maxGroupSize": 6,
"extendedFields": {
"ug_status": "Active",
"group_avatar_url": "wwww.habluhablu.com",
"metadata": "whatMetadata",
"ug_primary_user": "yeshas",
"ug_registration_date": "2025-11-10T15:10:00Z",
"usergroup2_automation_extended_field": "25"
}
}'Prerequisites
- Authentication: Basic or OAuth authentication
- Access group resource: Read and write access to the
User Groupresource
Resource information
| URI | /v2/userGroup2 |
| HTTP Method | POST |
| Pagination | No |
| Batch support | No |
| Rate limit information | NA |
Request body parameters
| Parameter (Parameters marked with * are mandatory) |
Type | Description |
|---|---|---|
externalId* |
string |
Unique ID of the group. The maximum number of allowed characters is 50. |
groupName |
string |
Name of the group. The maximum number of allowed characters is 50. |
maxGroupSize* |
integer |
Maximum size of the group. The maximum group size is as defined by the product configuration |
limit |
integer |
Maximum number of items to be retrieved. |
extendedFields |
array |
An array containing the extended fields and their corresponding values, enabled for specific verticals within the organisation. These extended fields capture additional information about the group. Example: A brand X wants to capture the type of group: Platinum, Gold, or Silver. It uses the extended fields to capture the information and decides the rewards depending on the group. |
Example response
{
"entity": 3962909,
"warnings": []
}{
"entity": 3962910,
"warnings": []
}Response parameters
| Parameter | Description |
|---|---|
| entity | Unique ID of the user group created. |
| warnings | Array containing warning messages, if any. |
API-specific error codes
| Error code | Description |
|---|---|
1633 |
Group ID exists. Change the value of the field |
91017 |
Value of the extended field does not match the data type. |
91016 |
Extended field name is incorrect. |
